# mautrix-instagram

![Version: 1.0.3](https://img.shields.io/badge/Version-1.0.3-informational?style=flat-square) ![Type: application](https://img.shields.io/badge/Type-application-informational?style=flat-square) ![AppVersion: latest](https://img.shields.io/badge/AppVersion-latest-informational?style=flat-square)

A Matrix-Instagram puppeting bridge.

**Homepage:** <https://matrix.to/#/#instagram:maunium.net>

## Maintainers

| Name | Email | Url |
| ---- | ------ | --- |
| Gavin Mogan | helm@gavinmogan.com |  |

## Source Code

* <https://github.com/mautrix/instagram>

## Values

| Key | Type | Default | Description |
|-----|------|---------|-------------|
| affinity | object | `{}` |  |
| config.appservice.address | string | `"http://localhost:29328"` | The address that the homeserver can use to connect to this appservice. |
| config.appservice.as_token | string | `"This value is generated when generating the registration"` |  |
| config.appservice.bot_avatar | string | `"mxc://maunium.net/JxjlbZUlCPULEeHZSwleUXQv"` |  |
| config.appservice.bot_displayname | string | `"Instagram bridge bot"` |  |
| config.appservice.bot_username | string | `"instagrambot"` |  |
| config.appservice.community_id | bool | `false` |  |
| config.appservice.database | string | `"postgres://username:password@hostname/db"` |  |
| config.appservice.database_opts.max_size | int | `10` |  |
| config.appservice.database_opts.min_size | int | `5` |  |
| config.appservice.ephemeral_events | bool | `false` |  |
| config.appservice.hostname | string | `"0.0.0.0"` |  |
| config.appservice.hs_token | string | `"This value is generated when generating the registration"` |  |
| config.appservice.id | string | `"instagram"` |  |
| config.appservice.max_body_size | int | `1` |  |
| config.appservice.port | int | `29328` |  |
| config.appservice.tls_cert | bool | `false` |  |
| config.appservice.tls_key | bool | `false` |  |
| config.bridge.backfill.disable_notifications | bool | `false` |  |
| config.bridge.backfill.initial_limit | int | `0` |  |
| config.bridge.backfill.invite_own_puppet | bool | `true` |  |
| config.bridge.backfill.missed_limit | int | `1000` |  |
| config.bridge.chat_sync_limit | int | `100` |  |
| config.bridge.command_prefix | string | `"!ig"` |  |
| config.bridge.delivery_error_reports | bool | `false` |  |
| config.bridge.delivery_receipts | bool | `false` |  |
| config.bridge.displayname_max_length | int | `100` |  |
| config.bridge.displayname_template | string | `"{username} (Instagram)"` |  |
| config.bridge.double_puppet_allow_discovery | bool | `false` |  |
| config.bridge.double_puppet_server_map."example.com" | string | `"https://example.com"` |  |
| config.bridge.encryption.allow | bool | `false` |  |
| config.bridge.encryption.default | bool | `false` |  |
| config.bridge.encryption.key_sharing.allow | bool | `false` |  |
| config.bridge.encryption.key_sharing.require_cross_signing | bool | `false` |  |
| config.bridge.encryption.key_sharing.require_verification | bool | `true` |  |
| config.bridge.federate_rooms | bool | `true` |  |
| config.bridge.login_shared_secret_map."example.com" | string | `"foo"` |  |
| config.bridge.periodic_reconnect.always | bool | `false` |  |
| config.bridge.periodic_reconnect.interval | int | `-1` |  |
| config.bridge.periodic_reconnect.resync | bool | `true` |  |
| config.bridge.permissions | object | `{}` |  |
| config.bridge.portal_create_max_age | int | `86400` |  |
| config.bridge.private_chat_portal_meta | bool | `false` |  |
| config.bridge.provisioning.enabled | bool | `true` |  |
| config.bridge.provisioning.prefix | string | `"/_matrix/provision/v1"` |  |
| config.bridge.provisioning.shared_secret | string | `"generate"` |  |
| config.bridge.resend_bridge_info | bool | `false` |  |
| config.bridge.sync_direct_chat_list | bool | `false` |  |
| config.bridge.sync_with_custom_puppets | bool | `true` |  |
| config.bridge.unimportant_bridge_notices | bool | `true` |  |
| config.bridge.username_template | string | `"instagram_{userid}"` |  |
| config.homeserver.address | string | `"https://example.com"` | The address that this appservice can use to connect to the homeserver. |
| config.homeserver.asmux | bool | `false` |  |
| config.homeserver.domain | string | `"example.com"` | The domain of the homeserver (for MXIDs, etc). |
| config.homeserver.verify_ssl | bool | `true` | Whether or not to verify the SSL certificate of the homeserver. Only applies if address starts with https:// |
| config.instagram.device_seed | string | `"generate"` |  |
| config.logging.formatters.colored.() | string | `"mautrix_instagram.util.ColorFormatter"` |  |
| config.logging.formatters.colored.format | string | `"[%(asctime)s] [%(levelname)s@%(name)s] %(message)s"` |  |
| config.logging.formatters.normal.format | string | `"[%(asctime)s] [%(levelname)s@%(name)s] %(message)s"` |  |
| config.logging.handlers.console.class | string | `"logging.StreamHandler"` |  |
| config.logging.handlers.console.formatter | string | `"colored"` |  |
| config.logging.loggers."paho.mqtt".level | string | `"INFO"` |  |
| config.logging.loggers.aiohttp.level | string | `"INFO"` |  |
| config.logging.loggers.mau.level | string | `"DEBUG"` |  |
| config.logging.loggers.mauigpapi.level | string | `"DEBUG"` |  |
| config.logging.root.handlers[0] | string | `"console"` |  |
| config.logging.root.level | string | `"DEBUG"` |  |
| config.logging.version | int | `1` |  |
| config.metrics.enabled | bool | `true` |  |
| config.metrics.listen_port | int | `8000` |  |
| deploymentAnnotations | object | `{}` |  |
| fullnameOverride | string | `""` |  |
| image.pullPolicy | string | `"IfNotPresent"` |  |
| image.repository | string | `"dock.mau.dev/mautrix/instagram"` |  |
| image.tag | string | `"latest@sha256:541a3f82ce25f4410df9881eed0b9a9a8136f9a216db81d1015ee0f1e8cf1a93"` |  |
| imagePullSecrets | list | `[]` |  |
| ingress.annotations | object | `{}` |  |
| ingress.enabled | bool | `false` |  |
| ingress.hosts[0] | string | `"chart-example.local"` |  |
| ingress.ingressClassName | string | `nil` |  |
| ingress.tls | list | `[]` |  |
| nameOverride | string | `""` |  |
| nodeSelector | object | `{}` |  |
| persistence.accessModes[0] | string | `"ReadWriteOnce"` |  |
| persistence.enabled | bool | `false` |  |
| persistence.existingClaim | string | `""` |  |
| persistence.size | string | `"1Gi"` |  |
| persistence.skipuninstall | bool | `false` |  |
| persistence.storageClassName | string | `""` |  |
| podAnnotations | object | `{}` |  |
| podSecurityContext.fsGroup | int | `1000` |  |
| probes.liveness.failureThreshold | int | `5` |  |
| probes.liveness.periodSeconds | int | `10` |  |
| probes.readiness.failureThreshold | int | `5` |  |
| probes.readiness.periodSeconds | int | `10` |  |
| probes.startup.failureThreshold | int | `30` |  |
| probes.startup.initialDelaySeconds | int | `5` |  |
| probes.startup.periodSeconds | int | `10` |  |
| registration.as_token | string | `nil` |  |
| registration.hs_token | string | `nil` |  |
| registration.id | string | `"instagram"` |  |
| registration.namespaces.users[0].exclusive | bool | `true` |  |
| registration.namespaces.users[0].group_id | string | `"instagram:example.org"` |  |
| registration.namespaces.users[0].regex | string | `"@instagram_.+:example.org"` |  |
| registration.rate_limited | bool | `false` |  |
| registration.sender_localpart | string | `"instagrambot"` |  |
| registration.url | string | `"http://{{ include \"mautrix-instagram.fullname\" . }}:29320"` |  |
| replicaCount | int | `1` |  |
| resources | object | `{}` |  |
| securityContext.runAsGroup | int | `1000` |  |
| securityContext.runAsUser | int | `1000` |  |
| service.externalTrafficPolicy | string | `nil` |  |
| service.port | int | `29328` |  |
| service.type | string | `"ClusterIP"` |  |
| serviceAccount.annotations | object | `{}` |  |
| serviceAccount.create | bool | `true` |  |
| serviceAccount.name | string | `nil` |  |
| strategy.rollingUpdates | string | `nil` |  |
| strategy.type | string | `"Recreate"` |  |
| tolerations | list | `[]` |  |

----------------------------------------------
Autogenerated from chart metadata using [helm-docs v1.5.0](https://github.com/norwoodj/helm-docs/releases/v1.5.0)
